# Uses of Class
it.tdlight.jni.TdApi.TMeUrlType

## Uses of TdApi.TMeUrlType in it.tdlight.jni

Subclasses of TdApi.TMeUrlType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.TMeUrlTypeChatInvite`
A chat invite link.
`static final class`
`TdApi.TMeUrlTypeStickerSet`
A URL linking to a sticker set.
`static final class`
`TdApi.TMeUrlTypeSupergroup`
A URL linking to a public supergroup or channel.
`static final class`
`TdApi.TMeUrlTypeUser`
A URL linking to a user.
Fields in it.tdlight.jni declared as TdApi.TMeUrlType
Modifier and Type
Field
Description
`TdApi.TMeUrlType`
TdApi.TMeUrl.`type`
Type of the URL.
Constructors in it.tdlight.jni with parameters of type TdApi.TMeUrlType
Modifier
Constructor
Description
``
`TMeUrl(String url, TdApi.TMeUrlType type)`
Represents a URL linking to an internal Telegram entity.